Skip to main content
POST

Scan API

Update history v1

OpenAPISince 0.5.10Changed 0.6.0
Returns the update history in ascending order, paged, from ledger begin or optionally starting after a record time. Unlike /v0/updates, this endpoint returns responses that are consistent across different scan instances. Event ids returned by this endpoint are not comparable to event ids returned by /v0/updates. Updates are ordered lexicographically by (migration id, record time). For a given migration id, each update has a unique record time.

Protocol Details

Operation IDgetUpdateHistoryV1
Published0.7.4
SpecificationDownload OpenAPI

Inputs

Request body

application/json
object
OpenAPI type: UpdateHistoryRequestAfter.
number
required
OpenAPI type: integer (int32).The maximum number of transactions returned for this request.
object
OpenAPI type: DamlValueEncoding.How daml values should be encoded in the response. “compact_json” is a compact, human-readable JSON encoding. It is the same encoding as the one used in the HTTP JSON API or the JavaScript codegen. “protobuf_json” is a verbose JSON encoding that is more difficult to parse, but contains type information, i.e., the values can be parsed losslessly without having access to the Daml source code. Optional and defaults to “compact_json”.

Outputs

200

application/json
UpdateHistoryItem[]
required

400

application/json
string
required

500

application/json
string
required

History

Changed0.6.0

The POST /v1/updates operation changed in this snapshot.

Changed0.5.17

The POST /v1/updates operation changed in this snapshot.

Deprecated0.5.10
Introduced0.5.10